Skip to content

Get 'GlobalNotificationContent'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired

The id of the organization the instance belongs to. This model has a single instance per organization, so the endpoint resolves it by organization rather than by the instance's own id.

GET
/communication/globalnotificationcontent/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/communication/globalnotificationcontent/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

contentstringrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
html_content_fileobject or null
html_metadataobject or null

Additional Validation Information:

This value requires that the following fields are also set: html_content_file

Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "content": "string", "html_content_file": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "html_metadata": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } } }